//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class act_activity
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public act_activity()
        {
            this.act_activity1 = new HashSet<act_activity>();
            this.act_translate = new HashSet<act_translate>();
            this.act_difficulty = new HashSet<act_difficulty>();
            this.route = new HashSet<route>();
        }
    
        public int id { get; set; }
        public string activity_name { get; set; }
        public string activity_description { get; set; }
        public Nullable<int> activity_parent_id { get; set; }
        public Nullable<System.DateTime> activity_dateIns { get; set; }
        public Nullable<bool> activity_status { get; set; }
        public Nullable<short> activity_order { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<act_activity> act_activity1 { get; set; }
        public virtual act_activity act_activity2 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<act_translate> act_translate { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<act_difficulty> act_difficulty { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route> route { get; set; }
    }
}
